# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Interface AuthTokenFactory.TokenListener

All Known Implementing Classes:
  AnalyticsService, AppsForYourDomainService, AppsGroupsService, AppsPropertyService, AuditService, BloggerService, BooksService, CalendarService, CodeSearchService, ContactsService, DocsService, DomainSettingsService, DomainVerificationService, EmailListRecipientService, EmailListService, EmailManagementService, FinanceService, GmailFilterService, GoogleBaseService, GoogleService, GttService, H9Service, HealthService, MailItemService, MapsService, MediaService, NicknameService, PicasawebService, ProjectHostingService, SidewikiService, SingleSignOnService, SitesService, SpreadsheetService, UserService, WebmasterToolsService, YouTubeService

Enclosing interface:
  AuthTokenFactory

    public static interface AuthTokenFactory.TokenListener

A listener interface that's used to inform interested parties that an authentication token has changed. Listeners can for example clear out user data (e.g. cookies).

Method Summary
`void` `tokenChanged(AuthTokenFactory.AuthToken newToken)`

Method Detail

### tokenChanged

    void tokenChanged(AuthTokenFactory.AuthToken newToken)